using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.Security.Cryptography.X509Certificates;

namespace SMSManager
{
    class CheckIsTrustedCertificate : System.Net.ICertificatePolicy
    {

        public bool CheckValidationResult(ServicePoint sp,
        X509Certificate cert,
        WebRequest req,
        int problem)
        {
            if (problem == 0)
                return true;
            else if (cert.GetCertHashString() == "ED3F683B259F929BE724BDF31CD3485683F658B2") //ufamy tylko temu certyfikatowi (o okrelonym skrcie)
                return true;
            else
                return false;
        }
    }
}
