using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using SMSManager.SMSSend;

namespace SMSManager
{
    public partial class frmSMS : Form
    {
        public frmSMS()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            DateTime dd = DateTime.Now;
            try
            {
                dd = DateTime.Parse(textBox4.Text.Trim());
            }
            catch
            {
                MessageBox.Show("Nieprawidowa data dostarczenia wiadomoci!","Bd",MessageBoxButtons.OK,MessageBoxIcon.Error);
            }
            button1.Enabled = false;
            SMSSender s = ((Globals.SSLRequired) ? s = Globals.SMS_ssl() : s = Globals.SMS());
            SMSObject sms = new SMSObject();
            sms.from = textBox2.Text.Trim();
            sms.to = textBox1.Text.Trim();
            sms.txt = textBox3.Text.Trim();
            sms.delivdate = dd.ToString("yyyy-MM-dd HH:mm");
            SMSSend.RetObject ret = s.SMSSendObject(Globals.Username, Globals.Password, sms);

            if (ret.Status == 1)
            {
                MessageBox.Show("Wiadomo przekazana do SMSC, id=" + ret.refid);
            }
            else
                MessageBox.Show("Bd: " + ret.Description);
            button1.Enabled = true;
        }

        private void frmSMS_Load(object sender, EventArgs e)
        {
            textBox4.Text = DateTime.Now.ToString("yyyy-MM-dd HH:mm");
        }
    }
}