using System;
using System.Collections.Generic;
using System.Text;
using System.Net;
using System.Web;

namespace SMSAPI
{
    class Globals
    {
        public static string Username = "";
        public static string Password = "";
        public static bool SSLRequired = false;

        static string ws_url = "http://inteliso.pl/smswebservice_v2.php";
        static string ws_url_ssl = "https://inteliso.pl/smswebservice_v2.php";

        public static string Proxy_username = "";
        public static string Proxy_password = "";

        public static bool ApplicationEnd = false;

        static SMSSend.SMSSender l_s;
        static SMSSend.SMSSender l_s_ssl;

        public static System.Collections.Hashtable global_objects = new System.Collections.Hashtable();

        public static SMSSend.SMSSender SMS()
        {
            if (l_s == null)
            {
                l_s = new SMSSend.SMSSender();
                l_s.Url = ws_url;
                ProxyCheck(l_s);
            }
            return  l_s;
        }

        public static SMSSend.SMSSender SMS_ssl()
        {
            if (l_s_ssl == null)
            {
                l_s_ssl = new SMSSend.SMSSender();
                System.Net.ServicePointManager.CertificatePolicy = new CheckIsTrustedCertificate();
                l_s_ssl.Url = ws_url_ssl;
                ProxyCheck(l_s_ssl);
            }
            return l_s_ssl;
        }
        private static void ProxyCheck(SMSSend.SMSSender s)
        {
            try
            {
                s.Balance("demo", "demo");
                return;
            }
            catch (System.Net.WebException ex)
            {
                s.Proxy = WebProxy.GetDefaultProxy();
                s.Proxy.Credentials = CredentialCache.DefaultCredentials;
                try
                {
                    s.Balance("demo", "demo");
                    return;
                }
                catch (System.Net.WebException l_ex)
                {
                    if (Globals.Proxy_username == string.Empty)
                    {
                        bool l_proxy_ok = false;
                        while (!l_proxy_ok)
                        {
                            
                            if (Globals.Proxy_username == string.Empty)
                            {
                                System.Windows.Forms.MessageBox.Show("Nie podano danych do serwera PROXY", "Logowanie do Proxy");
                                Globals.ApplicationEnd = true;
                                return;
                            }
                            else
                            {
                                try
                                {
                                    s.Proxy.Credentials = new System.Net.NetworkCredential(Crypt.Decrypt(Globals.Proxy_username), Crypt.Decrypt(Globals.Proxy_password));
                                    s.Balance("demo", "demo");
                                    l_proxy_ok = true;
                                }
                                catch
                                {
                                    System.Windows.Forms.MessageBox.Show("Niepoprawny login lub haso do serwera PROXY", "Logowanie do Proxy");
                                    l_proxy_ok = false;
                                }
                            }
                        }
                    }
                    s.Proxy.Credentials = new System.Net.NetworkCredential(Crypt.Decrypt(Globals.Proxy_username), Crypt.Decrypt(Globals.Proxy_password));
                }
            }
        }
        public static void ProgressBarShow(int p)
        {
        }

        public static void ProgressBarHide()
        {

        }

        public static void SetStatusText(string s)
        {
        }

        public static void Log(Exception ex)
        {
            Log(ex.ToString());
        }

        public static void Log(string txt)
        {
            //System.Windows.Forms.MessageBox.Show(txt,"ERROR",System.Windows.Forms.MessageBoxButtons.OK,System.Windows.Forms.MessageBoxIcon.Error);
        }
    }
}