using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

namespace SMSAPI
{
    class SMSCommon
    {
    }
    [InterfaceTypeAttribute(ComInterfaceType.InterfaceIsDual)]
    public interface iGenericRetObject
    {
        int Status { get;set;}
        string Description { get;set;}
        string val { get;set;}
    }

    [InterfaceTypeAttribute(ComInterfaceType.InterfaceIsDual)]
    public interface iRetObject
    {
        int Status { get;set;}
        string Description { get;set;}
        string smsid { get;set;}
        string refid { get;set;}
    }

    [InterfaceTypeAttribute(ComInterfaceType.InterfaceIsDual)]
    public interface iSMSObject
    {
        string smsid { get;set;}
        string from { get;set;}
        string to { get;set;}
        string txt { get;set;}
        string delivdate { get;set;}
    }

    [InterfaceTypeAttribute(ComInterfaceType.InterfaceIsDual)]
    public interface iRow
    {
        string[] fields { get;set;}
        string[] items { get;set;}
    }

    public class GenericRetObject:iGenericRetObject
    {

        private int statusField;

        private string descriptionField;

        private string valField;

        /// <remarks/>
        public int Status
        {
            get
            {
                return this.statusField;
            }
            set
            {
                this.statusField = value;
            }
        }

        /// <remarks/>
        public string Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        public string val
        {
            get
            {
                return this.valField;
            }
            set
            {
                this.valField = value;
            }
        }
    }
    public partial class RetObject:iRetObject
    {

        private int statusField;

        private string descriptionField;

        private string smsidField;

        private string refidField;

        /// <remarks/>
        public int Status
        {
            get
            {
                return this.statusField;
            }
            set
            {
                this.statusField = value;
            }
        }

        /// <remarks/>
        public string Description
        {
            get
            {
                return this.descriptionField;
            }
            set
            {
                this.descriptionField = value;
            }
        }

        /// <remarks/>
        public string smsid
        {
            get
            {
                return this.smsidField;
            }
            set
            {
                this.smsidField = value;
            }
        }

        /// <remarks/>
        public string refid
        {
            get
            {
                return this.refidField;
            }
            set
            {
                this.refidField = value;
            }
        }
    }
    public partial class SMSObject:iSMSObject
    {
        private string smsidField;

        private string fromField;

        private string toField;

        private string txtField;

        private string delivdateField;

        /// <remarks/>
        public string smsid
        {
            get
            {
                return this.smsidField;
            }
            set
            {
                this.smsidField = value;
            }
        }

        /// <remarks/>
        public string from
        {
            get
            {
                return this.fromField;
            }
            set
            {
                this.fromField = value;
            }
        }

        /// <remarks/>
        public string to
        {
            get
            {
                return this.toField;
            }
            set
            {
                this.toField = value;
            }
        }

        /// <remarks/>
        public string txt
        {
            get
            {
                return this.txtField;
            }
            set
            {
                this.txtField = value;
            }
        }

        /// <remarks/>
        public string delivdate
        {
            get
            {
                return this.delivdateField;
            }
            set
            {
                this.delivdateField = value;
            }
        }
    }
    public partial class Row:iRow
    {

        private string[] fieldsField;

        private string[] itemsField;

        /// <remarks/>
        public string[] fields
        {
            get
            {
                return this.fieldsField;
            }
            set
            {
                this.fieldsField = value;
            }
        }

        /// <remarks/>
        public string[] items
        {
            get
            {
                return this.itemsField;
            }
            set
            {
                this.itemsField = value;
            }
        }
    }
}
