using System;
using System.Collections.Generic;
using System.Text;
using System.Security.Cryptography;
using System.IO;

namespace SMSManager
{
    class Crypt
    {
        public static string Encrypt(string txt)
        {
            return Encrypt(txt,"snopowiazalka");
        }
        public static string Encrypt(string txt, string key)
        {
            Random r = new Random();
            txt = r.Next(1000, 9999).ToString() + txt;

            string IV = "nlhap2n*a";
            byte[] ret;
            RijndaelManaged Algorithm;
            MemoryStream memStream;
            ICryptoTransform EncryptorDecryptor;
            CryptoStream crStream;
            StreamWriter strWriter;
            //StreamReader strReader;
            Algorithm = new RijndaelManaged();
            Algorithm.BlockSize = 256;
            Algorithm.KeySize = 256;

            memStream = new MemoryStream();
            EncryptorDecryptor = Algorithm.CreateEncryptor(To32Bytes(key), To32Bytes(IV));
            crStream = new CryptoStream(memStream, EncryptorDecryptor, CryptoStreamMode.Write);
            strWriter = new StreamWriter(crStream);
            strWriter.Write(txt);
            strWriter.Flush();
            crStream.FlushFinalBlock();
            ret = new byte[memStream.Length];
            memStream.Position = 0;
            memStream.Read(ret, 0, (int)ret.Length);

            Algorithm = null;
            memStream.Close();
            memStream = null;
            EncryptorDecryptor = null;
            crStream.Close();
            crStream = null;
            strWriter.Close();
            strWriter = null;
            //return new UnicodeEncoding().GetString(ret);

            return DecToHex(ret);
        }

        public static string Decrypt(string txt)
        {
            return Decrypt(txt,"snopowiazalka");
        }
        public static string Decrypt(string txt, string key)
        {
            try
            {
                string IV = "nlhap2n*a";
                RijndaelManaged Algorithm;
                MemoryStream memStream;
                ICryptoTransform EncryptorDecryptor;
                CryptoStream crStream;
                StreamReader strReader;
                Algorithm = new RijndaelManaged();
                Algorithm.BlockSize = 256;
                Algorithm.KeySize = 256;

                memStream = new MemoryStream(HexToDec(txt));
                EncryptorDecryptor = Algorithm.CreateDecryptor(To32Bytes(key), To32Bytes(IV));
                memStream.Position = 0;

                crStream = new CryptoStream(memStream, EncryptorDecryptor, CryptoStreamMode.Read);
                strReader = new StreamReader(crStream);
                string ret;
                ret = strReader.ReadToEnd();

                Algorithm = null;
                memStream.Close();
                memStream = null;
                EncryptorDecryptor = null;
                crStream.Close();
                crStream = null;
                strReader.Close();
                strReader = null;

                int l = ret.Length;
                ret = ret.Substring(4, ret.Length - 4);
                return ret;
            }

            catch (CryptographicException ex)
            {
                throw new Exception("bd w deszyfrowaniu" + ex.Message, ex);
                //return "0";
            }
            catch (Exception ex)
            {
                throw new Exception("bd w deszyfrowaniu inny", ex);
                //return "0";
            }
        }

        private static byte[] To32Bytes(string val)
        {
            byte[] m_key = new byte[32];
            for (int i = 0; i < val.Length; i++)
            {
                string s = val[i].ToString();
                int y = System.Convert.ToInt32(val[i]);
                m_key[i] = (y < 255) ? Convert.ToByte(val[i]) : Convert.ToByte(255);
                //m_key[i] = Convert.ToByte(val[i]);
            }
            return m_key;
        }

        public static string DecToHex(byte[] decarray)
        {
            string ret = "";
            for (int i = 0; i < decarray.Length; i++)
            {
                ret += String.Format("{0:x2}", System.Convert.ToUInt32(decarray[i])).ToUpper();
            }
            return ret;
        }

        public static byte[] HexToDec(string hexstring)
        {
            byte[] ret = new byte[hexstring.Length / 2];
            for (int i = 0; i < hexstring.Length; i += 2)
            {
                try
                {
                    ret[i / 2] = Convert.ToByte(hexstring.Substring(i, 2), 16);
                }
                catch (Exception ex)
                {
                    throw new Exception("Bd konwersji Hex2Dec", ex);
                }
            }
            return ret;
        }


        static public string Md5SumGet(string str)
        {
            // First we need to convert the string into bytes, which
            // means using a text encoder.
            Encoder enc = System.Text.Encoding.Unicode.GetEncoder();

            // Create a buffer large enough to hold the string
            byte[] unicodeText = new byte[str.Length * 2];
            enc.GetBytes(str.ToCharArray(), 0, str.Length, unicodeText, 0, true);

            // Now that we have a byte array we can ask the CSP to hash it
            MD5 md5 = new MD5CryptoServiceProvider();
            byte[] result = md5.ComputeHash(unicodeText);

            // Build the final string by converting each byte
            // into hex and appending it to a StringBuilder
            StringBuilder sb = new StringBuilder();
            for (int i = 0; i < result.Length; i++)
            {
                sb.Append(result[i].ToString("X2"));
            }

            // And return it
            return sb.ToString();
        }
    }
}