using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Win32;
using SMSManager.SMSSend;

namespace SMSManager
{
    public partial class frmLogin : Form
    {
        public bool login_ok = false;
        public frmLogin()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            
            SMSSender sms = Globals.SMS_ssl();
            if (Globals.ApplicationEnd)
                this.Close();
            else
            {
                GenericRetObject ret = sms.Balance(textBox1.Text, textBox2.Text);
                if (ret.Status == 1)
                {
                    RegistryKey rk = Registry.CurrentUser.OpenSubKey("Software\\Inteliso\\SMSManager", true);
                    if (checkBox1.Checked)
                    {
                        rk.SetValue("autologin", "1");
                        rk.SetValue("username", Crypt.Encrypt(textBox1.Text));
                        Globals.Username = textBox1.Text;
                        rk.SetValue("password", Crypt.Encrypt(textBox2.Text));
                        Globals.Password = textBox2.Text;
                    }
                    login_ok = true;
                    this.Close();
                }
                else
                    MessageBox.Show("Bdny login lub haso");
            }
        }

        private void frmLogin_Load(object sender, EventArgs e)
        {
            try
            {
                RegistryKey rk = Registry.CurrentUser.OpenSubKey("Software\\Inteliso\\SMSManager");
                if (rk == null)
                    rk = Registry.CurrentUser.CreateSubKey("Software\\Inteliso\\SMSManager");
                if (rk.GetValue("autologin") != null && rk.GetValue("autologin").ToString() == "1")
                    checkBox1.Checked = true;
                if (rk.GetValue("username") != null)
                    textBox1.Text = Crypt.Decrypt(rk.GetValue("username").ToString());
                if (rk.GetValue("password") != null)
                    textBox2.Text = Crypt.Decrypt(rk.GetValue("password").ToString());
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.ToString());
            }
        }
    }
}